---
name: Bug Report
about: Use to report a bug
title: ''
labels: bug
assignees: ''
---

## Bug Report

### Description

Provide a brief overview of the bug encountered. Describe the behavior observed when the bug occurs and explain the behavior expected when the bug is not present.

### Reproducibility

- [ ] The bug is reproducible.
- [ ] The bug is intermittent.
- [ ] The bug occurs only under specific conditions.

#### Steps to Reproduce

1. List the steps to reproduce the bug.
2. Be as detailed as possible to help with replication.

#### Screenshots / Error Messages (if applicable)

Insert any relevant screenshots or error messages related to the bug.

#### Environment

- **Operating System**: [e.g., Windows 10, macOS, Linux]
- **Browser (if applicable)**: [e.g., Google Chrome, Firefox, Safari]
- **Application Version/Commit**: [e.g., v1.2.3, Git commit hash]
- **Additional Environment Details**: [e.g., hardware specifications, network conditions]

### Additional Context

Provide any additional context or information about the bug.

### Possible Fix

If you have suggestions for a fix, please describe them here.
